aboutsummaryrefslogtreecommitdiff
path: root/etc/bigloo/autoconf/bversion
diff options
context:
space:
mode:
Diffstat (limited to 'etc/bigloo/autoconf/bversion')
-rwxr-xr-xetc/bigloo/autoconf/bversion42
1 files changed, 42 insertions, 0 deletions
diff --git a/etc/bigloo/autoconf/bversion b/etc/bigloo/autoconf/bversion
new file mode 100755
index 0000000..1f24c86
--- /dev/null
+++ b/etc/bigloo/autoconf/bversion
@@ -0,0 +1,42 @@
+#!/bin/sh
+#*=====================================================================*/
+#* serrano/prgm/project/scribe/autoconf/bversion */
+#* ------------------------------------------------------------- */
+#* Author : Manuel Serrano */
+#* Creation : Tue Jan 12 14:33:21 1999 */
+#* Last change : Sun Jan 13 07:30:21 2002 (serrano) */
+#* ------------------------------------------------------------- */
+#* Check the current bigloo version */
+#*=====================================================================*/
+
+bigloo=bigloo
+version=2.4b
+
+#*---------------------------------------------------------------------*/
+#* We parse the arguments */
+#*---------------------------------------------------------------------*/
+while : ; do
+ case $1 in
+ "")
+ break;;
+ --bigloo=*|-bigloo=*)
+ bigloo="`echo $1 | sed 's/^[-a-z]*=//'`";;
+
+ --version=*|-version=*)
+ version="`echo $1 | sed 's/^[-a-z]*=//'`";;
+
+ -*)
+ echo "Unknown option \"$1\", ignored" >&2;;
+ esac
+ shift
+done
+
+#*---------------------------------------------------------------------*/
+#* We spawn a bigloo process to check its version number */
+#*---------------------------------------------------------------------*/
+bver=`$bigloo -q -eval "(exit (print *bigloo-version*))"`
+echo $bver
+
+$bigloo -q -eval "(exit (if (string>=? *bigloo-version* \"$version\") 0 1))"
+
+exit $?